Package org.eclipse.net4j.util.registry

# Interface IRegistry<K,V>

All Superinterfaces:
  `IContainer<Map.Entry<K,V>>`, `INotifier`, `Map<K,V>`

All Known Implementing Classes:
  `DelegatingRegistry`, `HashMapDelegatingRegistry`, `HashMapRegistry`, `HashMapRegistry.AutoCommit`, `Registry`, `UnmodifiableRegistry`

public interface IRegistry<K,V> extends Map<K,V>, IContainer<Map.Entry<K,V>>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Method Summary

Modifier and Type
Method
Description
`void`
`commit()`
`void`
`commit(boolean notifications)`
`boolean`
`isAutoCommit()`
`void`
`setAutoCommit(boolean on)`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

## Method Details

### isAutoCommit

boolean isAutoCommit()

### setAutoCommit

void setAutoCommit(boolean on)

### commit

void commit(boolean notifications)

### commit

void commit()